ZIP_ADD(3)

NAME
zip_add, zip_replace - add file to zip archive or replace file in zip archive

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

zip_int64_t
zip_add(struct zip *archive, const char *name, struct zip_source *source);

int
zip_replace(struct zip *archive, zip_uint64_t index, struct zip_source *source);

DESCRIPTION
The function zip_add() is the obsolete version of zip_file_add(3). It is the same as calling zip_file_add(3) with an empty flags argument. Similarly, the zip_replace() function is the obsolete version of zip_file_replace(3). It is the same as calling zip_file_replace(3) with an empty flags argument.

SEE ALSO
libzip(3), zip_file_add(3), zip_file_replace(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>